[package]
name = "hotel-api-rs"
version = "0.1.0"
edition = "2024"
publish = false

[dependencies]
axum = {version = "0.8.6", features = ["ws", "macros"]}
axum-extra = { version = "0.10.3", features = ["typed-header", "cookie"] }
headers = "0.4"

tokio = { version = "1", features = ["full"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"

bcrypt = "0.17"

r2d2 = "0.8"
r2d2_sqlite = "0.31.0"
dashmap = "6.1"
rusqlite = { version = "0.37", features = ["bundled"] }
jsonwebtoken = "9.3.1"
dotenvy = "0.15.7"
chrono = "0.4.42"

anyhow = "1.0.100"
argon2 = {version = "0.5.3"}
rand_core = {version = "0.6.4", features = ["getrandom"]}
futures-util = {version = "0.3.31"}
uuid = {version = "1.18.1", features = ["serde"] }
base64 = "0.22.1"
reqwest = { version = "0.12.24", features = ["json","blocking"] }







